# Class ParamTypes

A registry for parameter types.

This registry manages the built-in (and custom) parameter types.

The built-in parameter types are:

- [[string]]
- [[path]]
- [[query]]
- [[hash]]
- [[int]]
- [[bool]]
- [[date]]
- [[json]]
- [[any]]

To register custom parameter types, use [[UrlConfig.type]], i.e.,

    router.urlService.config.type(customType)

- Defined in router/params/param-types.js:30

#####
Index

### Constructors

constructor

### Properties

defaultTypes
enqueue
typeQueue
types

### Methods

_flushTypeQueue
type

##
Constructors

### constructor

- new ParamTypes(): ParamTypes

- #### Returns ParamTypes

  - Defined in router/params/param-types.js:31

##
Properties

### defaultTypes

defaultTypes: {}

- Defined in router/params/param-types.js:34

### enqueue

enqueue: boolean

- Defined in router/params/param-types.js:32

### typeQueue

typeQueue: any[]

- Defined in router/params/param-types.js:33

### types

types: any

- Defined in router/params/param-types.js:48

##
Methods

### _flushTypeQueue

- _flushTypeQueue(): void

- #### Returns void

  - Defined in router/params/param-types.js:66

### type

- type(name, definition, definitionFn): any

- Registers a parameter type

  End users should call [[UrlMatcherFactory.type]], which delegates to this method.

  #### Parameters

  - name: any
  - definition: any
  - definitionFn: any

  #### Returns any

  - Defined in router/params/param-types.js:55